Bug 65366 - lock doesn't
lock doesn't
Product: Red Hat Linux
Classification: Retired
Component: xscreensaver (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
: Security
Depends On:
  Show dependency treegraph
Reported: 2002-05-22 15:32 EDT by Chris Ricker
Modified: 2014-03-16 22:27 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-12-18 12:06:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Chris Ricker 2002-05-22 15:32:58 EDT
I always use xscreensaver by first starting up the daemon and then, when needing
to lock the screen, running "xscreensaver-command -lock".  Since installing 7.3,
I've noticed that xscreensaver locking is sporadic....  Sometimes, when I run
"xscreensaver-command -lock", it locks the screen.  Other times, it starts the
screen saver but does not lock the screen.

This is sporadic, and I've not yet noticed a pattern as to which screen savers
are not locking and which are.
Comment 1 Chris Ricker 2002-05-23 13:05:18 EDT
Brain flash:  This seems to be time-dependent.  When I walk away and come back
immediately, it's locked.  When I walk away and come back later, it's unlocked.
 Does xscreensaver automatically unlock after a period of time?  It's not
mentioned anywhere in its docs, if so, and there doesn't seem to be any option
to disable that.

I'll go poke through the source now and see if that's what's happening....
Comment 2 Bill Nottingham 2002-06-12 01:10:00 EDT
No, it doesn't automatically unlock; I'm not sure why this would be happening.
Comment 3 Jamie Zawinski 2002-07-27 03:00:00 EDT
That's puzzling...  Please launch xscreensaver like this:

  xscreensaver -sync -verbose -no-capture >>& saverlog

then, when the problem happens again, send the relevant portions of the log file
(from just before the last time it successfully locked, to the point after it
unblanked without asking for a password.)
Comment 4 Bill Nottingham 2002-08-12 22:15:14 EDT
What does /proc/`pidof xscreensaver`/cmdline say?
Comment 5 Alan Cox 2002-12-18 11:55:42 EST
Please verify your system clock hasnt also gone wonky when you see this. APM
coming back 5 hours off is a classic bug in some setups and does throw the odd
app a bit of a shock
Comment 6 Chris Ricker 2002-12-18 12:06:42 EST
I've never seen the system clock on that system get majorly weird (it loses
small minutes under heavy load w/ RHL 8.0, but that's about it)

I've not noticed this in a while, but then I haven't used that laptop in a bit
either.  I'll close it for now, and reopen if I get a chance to poke it some more

Note You need to log in before you can comment on or make changes to this bug.